GCT-TOOL(1)

NAME
gct-tool - Command line tool for manipulation of Gwenhywfar CryptTokens.

SYNOPSIS

gct-tool [global options] <command> [command options]

DESCRIPTION

The gct-tool command can be used for manipulation of Gwenhywfar CryptTokens. AqBanking uses such Gwenhywfar CryptTokens to handle the various authentication mechanisms (like chipcards or key files) in a unified fashion.

OPTIONS

-C PARAM, --cfgfile=PARAM
    Specify the configuration file

--forcepin
    force pin entry even if the error counter is not zero

-h, --help
    Show this help screen

COMMANDS

create
    This command creates a crypt token

showuser
    Display user data stored on the token

showkey
    Display key info stored on the token

genkey
    Generate keys on crypt token

activateKey
    Activate keys on crypt token

update
    Update Crypt Token to newer version (e.g. OpenHBCI key files

setsignseq
    Set signature counter

changepin
    Change pin of the crypt token

setkey, hashTree, checkTree, showpasswords
    Display passwords store in a GWEN_PASSWD_STORE file

setsignseq
    Set the signature sequence counter of a Gwenhywfar CryptToken.

changepin
    Change the PIN of a Gwenhywfar CryptToken.

For help on options available to specific commands, run gct-tool <COMMAND> --help.

BUGS

Probably lots, please post them to the mailing list (see Resources below) when you find them.

COPYING

Copyright (C) Martin Preuß. Free use of this software is granted under the terms of the GNU Lesser General Public License (LGPL).

The manpage was composed by Micha Lenk and converted by the nifty tool Asciidoctor into a manpage.

AUTHOR

Micha Lenk